<?php
session_start();
if(isSet($_SESSION['zalogowany'])){
  header("Location: glowna.php");
  exit();
}
else if(isSet($_POST['haslo'])){
  if($_POST['haslo'] == 'pass1'){
    $_SESSION['zalogowany'] = true;
    header("Location: glowna.php");
    exit();
  }
  else{
    $komunikat = "Niepoprawne hasło.";
  }
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Logowanie użytkowników</title>
</head>
<body>
<form action = "http://localhost/index.php"
      method = "post"
>
<?php
  if(isSet($komunikat)):
?>
<div><?php echo $komunikat; ?></div>
<?php
  endif;
?>
<div>
Podaj hasło: <input type="password" name="haslo" />
<input type="submit" value="Wejdź" />
</div>
</form>
</body>
</html>
